Bug 1095316

Summary: jspecview: Embeds classes from icedtea-web
Product: [Fedora] Fedora Reporter: Florian Weimer <fweimer>
Component: jspecviewAssignee: Susi Lehtola <susi.lehtola>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: susi.lehtola
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: jspecview-2-8.1649svn.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-05-17 06:27:57 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1095309, 1098237    

Description Florian Weimer 2014-05-07 12:50:52 UTC
During the build process, jspecview copies over classes from icedtea-web.  Apart from general maintenance issues (a rebuild of jspecview is needed to completely address icedtea-web bugs such as bug 1095309), this untracked dependency may cause Fedora to ship compiled Java code as part of the jspecview packages, without shipping matching source code, against the licensing guidelines.

Comment 1 Fedora Update System 2014-05-07 20:00:58 UTC
jspecview-2-8.1649svn.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jspecview-2-8.1649svn.fc19

Comment 2 Fedora Update System 2014-05-07 20:01:14 UTC
jspecview-2-8.1649svn.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jspecview-2-8.1649svn.fc20

Comment 3 Fedora Update System 2014-05-08 10:07:36 UTC
Package jspecview-2-8.1649svn.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jspecview-2-8.1649svn.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6106/jspecview-2-8.1649svn.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-05-17 06:27:57 UTC
jspecview-2-8.1649svn.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-05-17 06:32:45 UTC
jspecview-2-8.1649svn.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.